# AngularSelectPlus

⚠️ **Development in Progress** ⚠️  
This project is currently in its early stages of development. We are still adding features and improving the template, so it might be incomplete or contain bugs. However, we're actively working on it!

### Contributions Welcome!
We'd love to have you contribute to **AngularSelectPlus**! If you have ideas, suggestions, or code to contribute, feel free to open an issue or submit a pull request.

### How to Contribute
1. Fork the repository on GitHub.
2. Create a new branch for your feature or bug fix:  
   `git checkout -b feature-name`
3. Make your changes.
4. Submit a pull request, and we'll review it!

### Project Goals
- Customize `ng-select` to handle template issues when many options are selected.
- Improve usability and stability.

### Source Code and Contributions
The source code for **AngularSelectPlus** is available on GitHub. Feel free to check it out, report issues, or contribute!

[GitHub Repository](https://github.com/yourusername/angular-select-plus)


This library was generated with [Angular CLI](https://github.com/angular/angular-cli) version 18.2.0.

## Code scaffolding

Run `ng generate component component-name --project angular-select-plus` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module --project angular-select-plus`.
> Note: Don't forget to add `--project angular-select-plus` or else it will be added to the default project in your `angular.json` file. 

## Build

Run `ng build angular-select-plus` to build the project. The build artifacts will be stored in the `dist/` directory.

## Publishing

After building your library with `ng build angular-select-plus`, go to the dist folder `cd dist/angular-select-plus` and run `npm publish`.

## Running unit tests

Run `ng test angular-select-plus` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.dev/tools/cli) page.
